﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CompanyEdit.aspx.cs" ValidateRequest="false" MasterPageFile="JitbitCRMMaster.Master" Inherits="JitbitCRM.CompanyEdit" %>
<%@ Register src="TagsTextBox.ascx" tagname="TagsTextBox" tagprefix="uc1" %>

<asp:Content ContentPlaceHolderID="head" runat="server">
	<link type="text/css" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.14/themes/ui-lightness/jquery-ui.css" rel="stylesheet" />
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="ContentPlaceHolder1">
<table class="outerborder lightbg grey" style="margin-left:auto;margin-right:auto;" cellpadding="11">
<tr>
	<th colspan="4"><asp:Label ID="lblTitle" runat="server" EnableViewState="False">Company</asp:Label></th>
</tr>
<tr class="entityTitle">
	<td style="white-space:nowrap" align="right">
		* Company name:
		<asp:RequiredFieldValidator ID="rqvName" runat="server" ValidationGroup="company" Display="Dynamic" ControlToValidate="tbName" ErrorMessage="***" />
	</td>
	<td colspan="3">
		<asp:TextBox ID="tbName" runat="server" MaxLength="500"></asp:TextBox>
		<asp:CustomValidator ID="cvldUnqueName" runat="server" Display="Dynamic" ErrorMessage="Name already taken" OnServerValidate="cvldUnqueName_ServerValidate" ValidationGroup="company" />
	</td>
</tr>
<tr>
	<td style="white-space:nowrap" align="right"><b>Tags:</b> (comma-separated)</td>
	<td><uc1:TagsTextBox runat="server" ID="tbTags" /></td>
	<td style="white-space:nowrap" align="right">Assigned to:</td>
	<td><asp:DropDownList ID="ddlAssignTo" runat="server"></asp:DropDownList></td>
</tr>
<tr>
	<td style="white-space:nowrap" align="right">Email:</td>
	<td><asp:TextBox ID="tbEmail" runat="server" MaxLength="100"></asp:TextBox></td>
	<td style="white-space:nowrap" align="right">Website:</td>
	<td><asp:TextBox ID="tbWebsite" runat="server" MaxLength="500"></asp:TextBox></td>
</tr>
<tr>
	<td style="white-space:nowrap" align="right">Phone:</td>
	<td><asp:TextBox ID="tbPhone" runat="server" MaxLength="100"></asp:TextBox></td>
	<td style="white-space:nowrap" align="right">Mobile Phone:</td>
	<td><asp:TextBox ID="tbMobilePhone" runat="server" MaxLength="100"></asp:TextBox></td>
</tr>
<tr>
	<td style="white-space:nowrap" align="right">Fax:</td>
	<td><asp:TextBox ID="tbFax" runat="server" MaxLength="100"></asp:TextBox></td>
	<td></td>
	<td></td>
</tr>
<tr>
	<td style="white-space:nowrap" align="right">Address1:</td>
	<td><asp:TextBox ID="tbAddress1" runat="server"></asp:TextBox></td>
	<td style="white-space:nowrap" align="right">Address2:</td>
	<td><asp:TextBox ID="tbAddress2" runat="server"></asp:TextBox></td>
</tr>
<tr>
	<td style="white-space:nowrap" align="right">City:</td>
	<td><asp:TextBox ID="tbCity" runat="server" MaxLength="200"></asp:TextBox></td>
	<td style="white-space:nowrap" align="right">State/Region:</td>
	<td><asp:TextBox ID="tbStateRegion" runat="server" MaxLength="200"></asp:TextBox></td>
</tr>
<tr>
	<td style="white-space:nowrap" align="right">Country:</td>
	<td><asp:TextBox ID="tbCountry" runat="server" MaxLength="200"></asp:TextBox></td>
	<td style="white-space:nowrap" align="right">Postal Code:</td>
	<td><asp:TextBox ID="tbPostalCode" runat="server" MaxLength="20"></asp:TextBox></td>
</tr>
<tr>
	<td style="white-space:nowrap" align="right">Comments:</td>
	<td colspan="3"><asp:TextBox ID="tbComments" Width="100%" runat="server" TextMode="MultiLine" Rows="8"></asp:TextBox></td>
</tr>
<tr>
	<td colspan="4">
		<asp:Button ID="btnSubmit" ValidationGroup="company" runat="server" Font-Bold="true" Text="Save" onclick="btnSubmit_Click" />        
		<asp:Button ID="btnDelete" runat="server" Text="Delete" OnClick="btnDelete_Click" OnClientClick="return confirm('are you sure?');" />
	</td>
</tr>


<!--custom fields-->	
<asp:Repeater id="rptCustomFields" runat="server" EnableViewState="false">
<HeaderTemplate>
	<tr><td colspan="4" style="border-top:1px solid silver">
	Custom fields:
	<script type="text/javascript">
		var mandatoryCustomFieldIds = new Array();
	</script>
	<asp:CustomValidator Display="Dynamic"
		ErrorMessage="Please fill the mandatory fields"
		ID="ValidatorCustomFields" runat="server"
		ClientValidationFunction="ValidateMandatoryCustomFields" />
	</td></tr>
</HeaderTemplate>
<ItemTemplate>
	<tr>
		<td style="text-align:right;white-space:nowrap" class="grey"> <%# (bool)Eval("Mandatory") ? "*" : "" %> <%# Eval("FieldName") %>:</td>
		<td colspan="3">
			<%# RenderCustomFieldInput(Eval("Type"), Eval("FieldID"), Eval("value"))%>
			<%# (bool)Eval("Mandatory") ? "<script type='text/javascript'> mandatoryCustomFieldIds[mandatoryCustomFieldIds.length] = '" + Eval("FieldID") + "';</script>" : "" %>
			<%# (bool)Eval("Mandatory") ? "<span style='display:none;color:red' id='mandatoryFieldAlert" + Eval("FieldID") + "'>!!!</span>" : ""%>
		</td>
	</tr>
</ItemTemplate>
</asp:Repeater>
</table>

<br />

<table class="outerborder lightbg grey" style="margin-left:auto;margin-right:auto;" cellpadding="7" runat="server" id="tblImage" enableviewstate="false">
<tr>
	<th colspan="2">Company Image</th>
</tr>
<tr>
	<td><img class="avatar" src="AvatarImage.ashx?CompanyID=<%= _companyId %>" alt="" /></td>
	<td>picture file, max 25kb, 50x50 recommended<br />
	(leave blank to reset)<br />
	<asp:FileUpload ID="fileImage" runat="server" /><br />
	<asp:Button ID="btnUpload" Text="upload" runat="server" OnClick="btnUpload_Click" />
	</td>
</tr>
</table>


<!--datepicker-->
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.14/jquery-ui.js"></script>
<script type="text/javascript">
	$(function () {
		$(".datepick").datepicker({ gotoCurrent: true, dateFormat: "yy-mm-dd", firstDay: 1 });
	});
</script>

<!-- mandatory custom fileds validator -->
<script type="text/javascript">
	function ValidateMandatoryCustomFields(source, arguments) {
		if (mandatoryCustomFieldIds) {
			if (mandatoryCustomFieldIds.length > 0) {
				for (i = 0; i < mandatoryCustomFieldIds.length; i++) {
					var inputElement = document.getElementById('CustomFieldValue' + mandatoryCustomFieldIds[i]);
					var spanAlert = document.getElementById('mandatoryFieldAlert' + mandatoryCustomFieldIds[i]);
					if (inputElement.value == "") {
						spanAlert.style.display = '';
						arguments.IsValid = false;
						return;
					}
					else {
						spanAlert.style.display = 'none';
					}
				}
			}
		}
		arguments.IsValid = true;
	}
</script>


<script language="javascript" type="text/javascript">
	document.getElementById("<%= tbName.ClientID %>").focus();
</script>


</asp:Content>